org.richfaces.view.facelets.html

## Class PanelToggleListenerHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - org.richfaces.view.facelets.EventListenerHandler
    - - org.richfaces.view.facelets.html.PanelToggleListenerHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

      public final class PanelToggleListenerHandler
      extends org.richfaces.view.facelets.EventListenerHandler

  Version:
    1.0
  Author:
    akolonitsky

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.view.facelets.EventListenerHandler

      `org.richfaces.view.facelets.EventListenerHandler.LazyEventListener<L extends javax.faces.event.FacesListener>`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.view.facelets.EventListenerHandler

      `binding, listenerType`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelToggleListenerHandler(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyAttachedObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent parent)`
    `boolean` | `isEventSource(javax.faces.component.UIComponent comp)`

    - ### Methods inherited from class org.richfaces.view.facelets.EventListenerHandler

      `apply, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelToggleListenerHandler

          public PanelToggleListenerHandler(javax.faces.view.facelets.TagConfig config)

  - ### Method Detail

    - #### applyAttachedObject

          public void applyAttachedObject(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent parent)

    - #### isEventSource

          public boolean isEventSource(javax.faces.component.UIComponent comp)

      Specified by:
        `isEventSource` in class `org.richfaces.view.facelets.EventListenerHandler`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.